
Redmine - Defect #32156

No left padding for first level entries in discussion board list

2019-09-27 06:07 - Anonymous

Status: Closed Start date:  
Assignee: Go MAEDA % Done: 0%

Category: Forums Estimated time: 0.00 hour

Target version: 4.2.0   

Resolution: Fixed Affected version:  

Description

The left padding of the table rows is hard-coded to create a tree structure through indentation. The current solution is unfortunate as

it adds no padding to the first level (level-0) but overrides padding rules from table.list td in the CSS stylesheet. Because of this it is

very difficult to fix this flaw in themes. It also makes customization nearly impossible without touching the code.

 discussion_boards_bad_padding.png 

Associated revisions

Revision 20857 - 2021-03-26 09:08 - Go MAEDA

No left padding for the first level entries in forums list (#32156).

Patch by Bernhard Rohloff.

History

#1 - 2019-09-27 06:30 - Anonymous

Edit: don't review it just yet, I overlooked the parent/child indentation, I will update the patch to fix this, to avoid hacky behavior like now.

#2 - 2019-09-27 07:18 - Anonymous

- File remove-hardcoded-style-padding-boards-index-v2.patch added

Adding the fixed one now :)

Edit: actually, I already came up with even better alternative for this, and it could be bare CSS indentation with minor changes to the view, I'll post

another version some time next week.

#3 - 2021-01-26 10:52 - Bernhard Rohloff

- File discussion_boards_bad_padding.png added

- File fix_left_padding_of_board_table.diff added

- Tracker changed from Patch to Defect

- Subject changed from Remove hardcoded padding value from index view of boards (forums) to No left padding for first level entries in discussion

board list

- Description updated

- Target version set to 4.2.0

I changed the tracker and description of the issue to clarify the problem and to make clear that this is a bug, not a feature.

The prior patches have the disadvantage, that it's still not easy to change the table padding in this view. I've attached a new patch which replaces the 

padding-left property with the, in this case, more appropriate text-indent property. The padding is now consistent with the other list views and can be

modified in themes.

It's a paper-cut and I think we can easily fix it in 4.2.0, can't we?

#4 - 2021-01-29 10:16 - Go MAEDA

- File second-line-is-not-indented.png added

Thank you for posting the patch but I found a UI issue caused by 'text-indent'.

When the board description is very long, the second line is not indented.
#5 - 2021-02-01 18:03 - Bernhard Rohloff

- File forums_indentation_like_on_projects_list.diff added

- File consistent_indentation_with_issues_and_projects.png added

Go MAEDA wrote:

Thank you for posting the patch but I found a UI issue caused by 'text-indent'.

When the board description is very long, the second line is not indented.

 Thank you Go for pointing it out. That really doesn't look right. I took a second look on the problem. Right now, we have two different approaches to

show indentation in a table cell. In the projects and issues table it's solved by adding CSS classes. It's in my opinion the proper solution because it

doesn't use inline styles at all. The downside is, that it's not dynamically calculated and therefore the levels of indentation have to be covered in the

CSS stylesheet. The current styles cover structures which can be up to 9 layers deep. That should be more than enough in nearly all cases. I also like

the additional arrow which is a common symbol for nested structures across the application.

Attached is another patch which implements this indentation method for the forum index view. I also cleaned up the indentation styles for issues and

projects lists to make them less specific to this sorts of tables.

 consistent_indentation_with_issues_and_projects.png 

#6 - 2021-03-18 20:21 - Marius BĂLTEANU

The patch looks good to me.

#7 - 2021-03-18 20:22 - Marius BĂLTEANU

- Status changed from New to Confirmed

#8 - 2021-03-26 09:10 - Go MAEDA

- Category changed from UI to Forums

- Status changed from Confirmed to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix. Thank you.
